curl --request POST \
--url https://api.glassmarkets.io/v2/metrics/tick_bps/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"assets": [
"<string>"
],
"time_start": "2023-11-07T05:31:56Z",
"time_end": "2023-11-07T05:31:56Z",
"market_hours_days": "<string>",
"market_hours_timezone": "America/New_York"
}
'import requests
url = "https://api.glassmarkets.io/v2/metrics/tick_bps/"
payload = {
"assets": ["<string>"],
"time_start": "2023-11-07T05:31:56Z",
"time_end": "2023-11-07T05:31:56Z",
"market_hours_days": "<string>",
"market_hours_timezone": "America/New_York"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assets: ['<string>'],
time_start: '2023-11-07T05:31:56Z',
time_end: '2023-11-07T05:31:56Z',
market_hours_days: '<string>',
market_hours_timezone: 'America/New_York'
})
};
fetch('https://api.glassmarkets.io/v2/metrics/tick_bps/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"asset": "<string>",
"exchange": {
"slug": "<string>",
"name": "<string>",
"icon_url": "<string>"
},
"pair": "<string>",
"source_status": "<string>",
"timestamp": "<string>",
"tick_bps": 123,
"available_samples": 123,
"source": "<string>"
}
]Get tick size in bps (JSON body)
Same as GET /v2/metrics/tick_bps/, with the parameters in a JSON body instead of the query string. List parameters accept a JSON array or a comma-separated string. type and filename stay in the query string.
curl --request POST \
--url https://api.glassmarkets.io/v2/metrics/tick_bps/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"assets": [
"<string>"
],
"time_start": "2023-11-07T05:31:56Z",
"time_end": "2023-11-07T05:31:56Z",
"market_hours_days": "<string>",
"market_hours_timezone": "America/New_York"
}
'import requests
url = "https://api.glassmarkets.io/v2/metrics/tick_bps/"
payload = {
"assets": ["<string>"],
"time_start": "2023-11-07T05:31:56Z",
"time_end": "2023-11-07T05:31:56Z",
"market_hours_days": "<string>",
"market_hours_timezone": "America/New_York"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assets: ['<string>'],
time_start: '2023-11-07T05:31:56Z',
time_end: '2023-11-07T05:31:56Z',
market_hours_days: '<string>',
market_hours_timezone: 'America/New_York'
})
};
fetch('https://api.glassmarkets.io/v2/metrics/tick_bps/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"asset": "<string>",
"exchange": {
"slug": "<string>",
"name": "<string>",
"icon_url": "<string>"
},
"pair": "<string>",
"source_status": "<string>",
"timestamp": "<string>",
"tick_bps": 123,
"available_samples": 123,
"source": "<string>"
}
]Authorizations
Token-based authentication with required prefix "Token ". Example: "Token 9944b09199c62bcf9418ad846dd0e4bbdfc6ee4b"
Query Parameters
File name of the CSV download. Defaults to data.csv.
csv returns a CSV file instead of JSON.
csv Body
1M- Aggregated in 1 month periods.1w- Aggregated in 1 week periods.1d- Aggregated in 1 day periods.4h- Aggregated in 4 hour periods.1h- Aggregated in 1 hour periods.30m- Aggregated in 30 minute periods.15m- Aggregated in 15 minute periods.5m- Aggregated in 5 minute periods.1m- Aggregated in 1 minute periods.c- Will return all the data for the specified time range using the biggest periods possible.a- Will return the aggregate of the data for the specified time range.
1M, 1w, 1d, 4h, 1h, 30m, 15m, 5m, 1m, c, a Comma-separated asset symbols, e.g. BTC,ETH_PERP. Only assets of your organizations are allowed (see /v1/organizations/). Defaults to all of them.
100Window start, ISO 8601. UTC when no offset is given.
Window end, ISO 8601. UTC when no offset is given.
Relative window ending now. Can't be combined with time_start/time_end.
30-minutes- 30-minutes1-hour- 1-hour3-hours- 3-hours6-hours- 6-hours12-hours- 12-hours1-day- 1-day7-days- 7-days1-month- 1-month3-months- 3-months6-months- 6-months1-year- 1-year
30-minutes, 1-hour, 3-hours, 6-hours, 12-hours, 1-day, 7-days, 1-month, 3-months, 6-months, 1-year Trading session to restrict the window to. Requires market_hours_days; can't be combined with time_start/time_end or lookback.
pre-market- pre-marketopening-bell- opening-bellmarket-hours- market-hoursclosing-bell- closing-bellafter-hours- after-hoursblue-ocean- blue-oceanweekend-hours- weekend-hours
pre-market, opening-bell, market-hours, closing-bell, after-hours, blue-ocean, weekend-hours Days to include, as comma-separated week:day pairs such as this:1,last:5, or a JSON array of {"week", "day"} objects. week is this or last; day is 0 (Sunday) to 6 (Saturday).
Time zone of the market-hours sessions.

